<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.12.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>kmCpu: X:/kmCpu.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">kmCpu
   </div>
   <div id="projectbrief">kmCpu library for AVR</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.12.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search',true);
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('km_cpu_8h.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">X:/kmCpu.h File Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;avr/interrupt.h&gt;</code><br />
<code>#include &lt;avr/wdt.h&gt;</code><br />
<code>#include &quot;../kmCommon/kmCommon.h&quot;</code><br />
</div>
<p><a href="km_cpu_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a0091ca9e864da5359580d4a9e7b828d9" id="r_a0091ca9e864da5359580d4a9e7b828d9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a0091ca9e864da5359580d4a9e7b828d9">kmCpuInterruptsEnable</a> (void)</td></tr>
<tr class="separator:a0091ca9e864da5359580d4a9e7b828d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89ffdd67aa53e2885528d1b820513386" id="r_a89ffdd67aa53e2885528d1b820513386"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a89ffdd67aa53e2885528d1b820513386">kmCpuInterruptsDisable</a> (void)</td></tr>
<tr class="separator:a89ffdd67aa53e2885528d1b820513386"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2cab7faaa3a7f692118e494d9bdca404" id="r_a2cab7faaa3a7f692118e494d9bdca404"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a2cab7faaa3a7f692118e494d9bdca404">kmCpuHalt</a> (void)</td></tr>
<tr class="separator:a2cab7faaa3a7f692118e494d9bdca404"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:accc2b1261d0ba57b5dbf5476482f9534" id="r_accc2b1261d0ba57b5dbf5476482f9534"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#accc2b1261d0ba57b5dbf5476482f9534">kmCpuSoftReset</a> (void)</td></tr>
<tr class="separator:accc2b1261d0ba57b5dbf5476482f9534"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae403db6f1fe7e2bc5f6e0319c340fbf4" id="r_ae403db6f1fe7e2bc5f6e0319c340fbf4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ae403db6f1fe7e2bc5f6e0319c340fbf4">kmCpuDisableWatchdogAndInterruptsOnStartup</a> (void)</td></tr>
<tr class="separator:ae403db6f1fe7e2bc5f6e0319c340fbf4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="ae403db6f1fe7e2bc5f6e0319c340fbf4" name="ae403db6f1fe7e2bc5f6e0319c340fbf4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae403db6f1fe7e2bc5f6e0319c340fbf4">&#9670;&#160;</a></span>kmCpuDisableWatchdogAndInterruptsOnStartup()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void kmCpuDisableWatchdogAndInterruptsOnStartup </td>
          <td>(</td>
          <td class="paramtype">void</td>          <td class="paramname"><span class="paramname"><em></em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Disables watchdog and interrupts. To be executed on startup in the *__init3* routine. </p>

</div>
</div>
<a id="a2cab7faaa3a7f692118e494d9bdca404" name="a2cab7faaa3a7f692118e494d9bdca404"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2cab7faaa3a7f692118e494d9bdca404">&#9670;&#160;</a></span>kmCpuHalt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void kmCpuHalt </td>
          <td>(</td>
          <td class="paramtype">void</td>          <td class="paramname"><span class="paramname"><em></em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Disables watchdog, interrupts and enters endless loop. </p>

</div>
</div>
<a id="a89ffdd67aa53e2885528d1b820513386" name="a89ffdd67aa53e2885528d1b820513386"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a89ffdd67aa53e2885528d1b820513386">&#9670;&#160;</a></span>kmCpuInterruptsDisable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void kmCpuInterruptsDisable </td>
          <td>(</td>
          <td class="paramtype">void</td>          <td class="paramname"><span class="paramname"><em></em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Disable interrupts. </p>

</div>
</div>
<a id="a0091ca9e864da5359580d4a9e7b828d9" name="a0091ca9e864da5359580d4a9e7b828d9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0091ca9e864da5359580d4a9e7b828d9">&#9670;&#160;</a></span>kmCpuInterruptsEnable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void kmCpuInterruptsEnable </td>
          <td>(</td>
          <td class="paramtype">void</td>          <td class="paramname"><span class="paramname"><em></em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Enable interrupts. </p>

</div>
</div>
<a id="accc2b1261d0ba57b5dbf5476482f9534" name="accc2b1261d0ba57b5dbf5476482f9534"></a>
<h2 class="memtitle"><span class="permalink"><a href="#accc2b1261d0ba57b5dbf5476482f9534">&#9670;&#160;</a></span>kmCpuSoftReset()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void kmCpuSoftReset </td>
          <td>(</td>
          <td class="paramtype">void</td>          <td class="paramname"><span class="paramname"><em></em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Resets the CPU from the software level. </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="km_cpu_8h.html">kmCpu.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.12.0 </li>
  </ul>
</div>
</body>
</html>
